com.parse

## Interface SaveCallback

    public interface SaveCallback

A `SaveCallback` is used to run code after saving a `ParseObject` in a background thread.

The easiest way to use a `SaveCallback` is through an anonymous inner class. Override the `done` function to specify what the callback should do after the save is complete. The `done` function will be run in the UI thread, while the save happens in a background thread. This ensures that the UI does not freeze while the save happens.

For example, this sample code saves the object `myObject` and calls a different function depending on whether the save succeeded or not.

     myObject.saveInBackground(new SaveCallback() {
       public void done(ParseException e) {
         if (e == null) {
           myObjectSavedSuccessfully();
         } else {
           myObjectSaveDidNotSucceed();
         }
       }
     });

### Method Summary

Methods
`void` `done(ParseException e)` Override this function with the code you want to run after the save is complete.

### Method Detail

#### done

    void done(ParseException e)

Override this function with the code you want to run after the save is complete.

Parameters:
  `e` - The exception raised by the save, or `null` if it succeeded.